using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("辨识评估计划附件")]
    public class T_SK_IDENTIFY_EVALUATION_PLAN_FILE : MesEntityBase
    {
        /// <summary>
        /// 辨识评估计划
        /// </summary>
        [Description("辨识评估计划")]
        [DataFieldForeignKey("Nav_Plan", "Nav_Files")]
        public Guid IDENTIFY_EVALUATION_PLAN_ID { get; set; }

        /// <summary>
        /// 导航：辨识评估计划
        /// </summary>
        [Description("导航：辨识评估计划")]
        public virtual T_SK_IDENTIFY_EVALUATION_PLAN Nav_Plan { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
